Bug 621662 - Update H2 version
Update H2 version
Status: CLOSED CURRENTRELEASE
Product: RHQ Project
Classification: Other
Component: Database (Show other bugs)
4.0.0
All All
medium Severity medium (vote)
: ---
: ---
Assigned To: Jay Shaughnessy
Rajan Timaniya
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-08-05 14:43 EDT by Jay Shaughnessy
Modified: 2013-09-02 03:17 EDT (History)
2 users (show)

See Also:
Fixed In Version: 4.0.0
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
H2 Db
Last Closed: 2013-09-02 03:17:09 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jay Shaughnessy 2010-08-05 14:43:21 EDT
The H2 db version has gone through several updated versions.  To stay current with numerous fixes we should update the H2 version.

This means moving from 1.1.119 to 1.2.139.

Note that our legacy H2 dbs are not even supported by the latest H2 version.  This means H2 dbs generated prior to this change will no longer work after the change.  We don't support db upgrade for H2 dbs anyway and it definitely does not work from 1.x to 3.0. So for dbs generated with RHQ 1.x you can't db upgrade to 3.0 regardless of this change.

For DBs generated with RHQ 3.0.0 the db-upgrade to the 4.0.0 Head currently will work, although it's still not supported.  But to make it work you'll need to execute the Migration utility found here [1].

I can't really imagine anyone needing this as H2 dbs are explicitly only for demos and simple investigation, and most likely can be recreated quickly from scratch.

[1] http://osdir.com/ml/h2-database/2010-02/msg00222.html
note - if you do build and run this make sure you update the user/password constants in the utility.
Comment 1 Jay Shaughnessy 2010-08-05 14:45:04 EDT
By the way, the change log for all of the version fixes is found here:

http://www.h2database.com/html/changelog.html
Comment 2 Jay Shaughnessy 2010-08-05 14:57:13 EDT
Green light from jmarques. Imminent.
Comment 3 Jay Shaughnessy 2010-08-05 22:50:28 EDT
Commit: 0ffb52081be378fcdcbbec84aea534a65969fe2d

QA here would involve standard regression tests being run against an H2 install.
Comment 4 Mike Foley 2011-04-18 13:24:43 EDT
interactive testing with the 4/29/2011 build and H2.  no issues.  if i see specific issues with H2 i will open them.
Comment 5 Heiko W. Rupp 2013-09-02 03:17:09 EDT
Bulk closing of issues that were VERIFIED, had no target release and where the status changed more than a year ago.

Note You need to log in before you can comment on or make changes to this bug.